Attribute VB_Name = "ContextIDs"
Option Explicit

Global Const Hlp_MainForm_ = 100    'Main Help Window

Global Const HELP_CONTEXT = &H1 '  Display topic in ulTopic
Global Const HELP_QUIT = &H2    '  Terminate help
Global Const HELP_FINDER = &HB  '  Display Contents tab
Global Const HELP_INDEX = &H3   '  Display index
Global Const HELP_HELPONHELP = &H4      '  Display help on using help
Global Const HELP_SETINDEX = &H5        '  Set the current Index for multi index help
Global Const HELP_KEY = &H101           '  Display topic for keyword in offabData
Global Const HELP_MULTIKEY = &H201
Global Const HELP_CONTENTS = &H3     ' Display Help for a particular topic
Global Const HELP_SETCONTENTS = &H5  ' Display Help contents topic
Global Const HELP_CONTEXTPOPUP = &H8 ' Display Help topic in popup window
Global Const HELP_FORCEFILE = &H9    ' Ensure correct Help file is displayed
Global Const HELP_COMMAND = &H102    ' Execute Help macro
Global Const HELP_PARTIALKEY = &H105 ' Display topic found in keyword list
Global Const HELP_SETWINPOS = &H203  ' Display and position Help window

    Type HELPWININFO
      wStructSize As Long
      x As Long
      Y As Long
      dX As Long
      dY As Long
      wMax As Long
      rgChMember As String * 2
    End Type
    
Declare Function WinHelp Lib "User32.dll" Alias "WinHelpA" (ByVal hWnd As Long, ByVal lpHelpFile As String, ByVal wCommand As Long, ByVal dwData As Any) As Long
    
Dim m_hWndMainWindow As Long ' hWnd to tell WINHELP the helpfile owner

Dim MainWindowInfo As HELPWININFO


Sub SetAppHelp(ByVal hWndMainWindow)
    m_hWndMainWindow = hWndMainWindow
    If Right$(Trim$(App.path), 1) = "\" Then
        App.HelpFile = App.path + "World.HLP"
    Else
        App.HelpFile = App.path + "\World.HLP"
    End If

    MainWindowInfo.wStructSize = 26

    MainWindowInfo.x = 256
    MainWindowInfo.Y = 256
    MainWindowInfo.dX = 512
    MainWindowInfo.dY = 512
    MainWindowInfo.rgChMember = Chr$(0) + Chr$(0)
End Sub

Sub QuitHelp()
    Dim Result As Variant
    Result = WinHelp(m_hWndMainWindow, App.HelpFile, HELP_QUIT, Chr$(0) + Chr$(0) + Chr$(0) + Chr$(0))
End Sub
Sub showhelp()
Dim Result As Variant
    Result = WinHelp(m_hWndMainWindow, App.HelpFile, HELP_INDEX, Chr$(0) + Chr$(0) + Chr$(0) + Chr$(0))
End Sub

